import { Box, HStack, Heading, Spinner } from "native-base"
import React from "react"


interface LoadingBoxProps {
    text: string
}

const LoadingBox = (props: LoadingBoxProps) => {
    const { text } = props

    return (
        <Box width="100%" marginTop="20" height="8">
            <HStack alignItems="center" flex="1" justifyContent="center">
                <Spinner />
                <Heading color="primary.400" fontSize="md">
                    {text}
                </Heading>
            </HStack>
        </Box>
    )
}


export default LoadingBox